### Enumeration

# Vips Size

#### Declaration

    enum Vips.Size

#### Description [src]

Controls whether an operation should upsize, downsize, both up and downsize, or force a size.

See also

`vips_thumbnail()`.

#### Members

`VIPS_SIZE_BOTH`

  Size both up and down.

  - Value: `0`
  - Available since: 8.0
`VIPS_SIZE_UP`

  Only upsize.

  - Value: `1`
  - Available since: 8.0
`VIPS_SIZE_DOWN`

  Only downsize.

  - Value: `2`
  - Available since: 8.0
`VIPS_SIZE_FORCE`

  Force size, that is, break aspect ratio.

  - Value: `3`
  - Available since: 8.0
`VIPS_SIZE_LAST`

  No description available.

  - Value: `4`
  - Available since: 8.0